
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>

        <link rel="SHORTCUT ICON" href="img/clover.ico" />

    <style type="text/css" media="screen">
        @import url('style.css');
        @import url('roundedcorners.css');
        @import url('tree.css');
            </style>
    
    <script src="sorttable.js" type="text/javascript"></script>
    <script src="overlibmws.js" type="text/javascript"><!-- overLIB (c) Erik Bosrup --></script>
    <script src="overlibmws_shadow.js" type="text/javascript" ></script>
    <script src="clover.js" type="text/javascript"></script>
    <script src="cloud.js" type="text/javascript"></script>
    <script src="help.js" type="text/javascript"></script>
  <title>HttpClient 4.2.3</title>
</head><body onload="loadPkgPane('HttpClient 4.2.3', 'pkg-test.html');">
  <!-- render overall summary coverage graph -->
<table cellspacing="0" cellpadding="2" class="barGraph">
<tbody>
  <tr>
    <td colspan="7">

    <div class="roundedLarge">
      <b class="ctop"><b class="cb1"></b><b class="cb2"></b><b class="cb3"></b><b class="cb4"></b></b>
      <div class="roundedContent">
    <table width="100%" class="" cellspacing="0"><tr class="reportHeader">
    <td valign="top" class="titleText">Clover Coverage  Report - <a href="http://hc.apache.org/httpcomponents-client" target="_top">HttpClient 4.2.3</a><div class="timestamp"><b>Coverage timestamp:</b>&nbsp;Tue Jan 15 2013 11:12:32 CET</div>

        
                <div class="navBar"><a href="pkg-summary.html">App</a>&nbsp;&nbsp;&nbsp;<span class="navBarCurrent">Test</span>&nbsp;&nbsp;&nbsp;<a href="test-pkg-summary.html">Results</a>&nbsp;&nbsp;&nbsp;<a href="proj-risks.html">Clouds</a></div>
        
            <div class="navBar"><span class="navBarCurrent">Overview</span>&nbsp;&nbsp;&nbsp;Package&nbsp;&nbsp;&nbsp;File</div>
    
    <div class="navBarLink">
        &nbsp;&nbsp;&nbsp;
        <a href="index.html" target="_top">FRAMES</a>&nbsp;&nbsp;
        <a href="testsrc-pkg-summary.html" target="_top">NO FRAMES</a>&nbsp;&nbsp;
        <label onclick="toggleHelp(this);" class="nonHelpItem">SHOW HELP</label>&nbsp;&nbsp;
    </div>

    </td>

    
        

     <td  id="td-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: ;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      10,155
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      26,934
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      1,716
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      8.79
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      512
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,280
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.17
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.38
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,155
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      117
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.49
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      9.53
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      181
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      19
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>

    
    
    

     <td  id="td-filtered-header-stats" class="headerStats" valign="top" style="font-weight: normal;width:40%; text-align: right; display: none;">
         <table style="text-align: right; white-space:nowrap;">
         <tr>
           <td colspan="11" class="totalText" style="text-align: left"><label>Statistics for project Clover database Mon Jan 14 2013 22:50:36 CET:</label></td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_stmts + 'project';">Stmts:</label></td>
           <td >      10,155
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_loc + 'project';">LOC:</label></td>
           <td >      26,934
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp + 'project';">Total cmp:</label></td>
           <td >      1,716
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_stmts_per_method;">Stmts/Method:</label></td>
           <td >      8.79
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_branches + 'project';">Branches:</label></td>
           <td >      512
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_ncloc + 'project';">NCLOC:</label></td>
           <td >      18,280
  </td>
           <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_cmp_density + 'project';">Cmp density:</label></td>
           <td >      0.17
  </td>
           <td style="width: 5%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_methods_per_class;">Methods/Class:</label></td>
           <td >      6.38
  </td>
         </tr>
         <tr>
           <td  class="totalText"><label onkeyup="return help_methods + 'project';">Methods:</label></td>
           <td >      1,155
  </td>
           <td style="width: 5%">&nbsp;</td>
                    <td  class="totalText"><label onkeyup="return help_files + 'project';">Files:</label></td>
           <td >      117
  </td>
                    <td style="width: 10%">&nbsp;</td>
           <td  class="totalText"><label onkeyup="return help_avg_method_cmp + 'project';">Avg method cmp:</label></td>
           <td >      1.49
  </td>
           <td style="width: 5%">&nbsp;</td>
                     <td  class="totalText"><label onkeyup="return help_classes_per_package;">Classes/Pkg:</label></td>
           <td >      9.53
  </td>
          
         </tr>
           <tr>
            <td  class="totalText"><label onkeyup="return help_classes + 'project';">Classes:</label></td>
            <td >      181
  </td>
            <td style="width: 5%">&nbsp;</td>
                      <td  class="totalText"><label onkeyup="return help_packages + 'project';">Packages:</label></td>
            <td >      19
  </td>
                     <td style="width: 10%">&nbsp;</td>
         </tr>
             </table>
     </td>
</tr>

    </table>
  </div>
  <b class="cbottom"><b class="cb4"></b><b class="cb3"></b><b class="cb2"></b><b class="cb1"></b></b>
  </div>

   </td>
  </tr>



<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>

<tr>
  <td class="graphHeaderLeft"><b>&nbsp;</b></td>
  <td class="graphHeader headerTitle" colspan="1"><label >Packages</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></td>
  <td class="graphHeader headerTitle" colspan="1"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></td>
  <td class="graphHeader headerTitle" colspan="2"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></td>
</tr>

  <tr>
    <td class="graphItem">
	        <span class="sortValue">Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:50:36&nbsp;CET</span>
    	   Clover&nbsp;database&nbsp;Mon&nbsp;Jan&nbsp;14&nbsp;2013&nbsp;22:50:36&nbsp;CET
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">19.0</span>
          19
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4857143</span>
          1.49
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">715.0</span>
          715
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9395195</span>
          94%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9395195</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="94% Covered" class="barPositive " style="width: 94%"></div>
    </div>
</div>
      </td>
      
      </tr>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
</tbody>
<tbody>

<tr>
    <td class="sortable graphHeaderLeft" onclick="ts_resortTable(this, 'alpha', 0);return false;">
        <strong>&nbsp;Package</strong>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 1);return false;"  colspan="1">
        <div class="headerTitle"><label >Files</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 2);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The percentage of elements that have been filtered from this report.';" >% Filtered</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 3);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The average number of paths per method.';" >Average Method Complexity</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 4);return false;"  colspan="1">
        <div class="headerTitle"><label  onkeyup="return 'The number of statements and branches that were not covered during testing.';" >Uncovered Elements</label></div>
    </td>
            <td class="sortable graphHeader" onclick="ts_resortTable(this, 'number', 5);return false;"  colspan="2">
        <div class="headerTitle"><label  onkeyup="return 'The amount of code that was hit at least once during testing.';" >TOTAL Coverage</label></div>
    </td>
        </tr><!-- render list of package coverage graphs -->
               <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.mockup</span>
    	  <a href="org/apache/http/mockup/testsrc-pkg-summary.html" title="org.apache.http.mockup">org.apache.http.mockup</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1</span>
          1.1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">44.0</span>
          44
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.37142858</span>
          37.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.37142858</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="62.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="37.1% Covered" class="barPositive " style="width: 37.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.localserver</span>
    	  <a href="org/apache/http/localserver/testsrc-pkg-summary.html" title="org.apache.http.localserver">org.apache.http.localserver</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">8.0</span>
          8
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.2272727</span>
          2.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">67.0</span>
          67
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.8023599</span>
          80.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.8023599</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="19.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="80.2% Covered" class="barPositive " style="width: 80.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.conn</span>
    	  <a href="org/apache/http/impl/conn/testsrc-pkg-summary.html" title="org.apache.http.impl.conn">org.apache.http.impl.conn</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">13.0</span>
          13
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.7723577</span>
          1.77
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">199.0</span>
          199
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.84692305</span>
          84.7%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.84692305</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="15.3% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="84.7% Covered" class="barPositive " style="width: 84.7%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn</span>
    	  <a href="org/apache/http/conn/testsrc-pkg-summary.html" title="org.apache.http.conn">org.apache.http.conn</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.5384614</span>
          2.54
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">40.0</span>
          40
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9141631</span>
          91.4%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9141631</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.6% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.4% Covered" class="barPositive " style="width: 91.4%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn.ssl</span>
    	  <a href="org/apache/http/conn/ssl/testsrc-pkg-summary.html" title="org.apache.http.conn.ssl">org.apache.http.conn.ssl</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.3478261</span>
          1.35
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">23.0</span>
          23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.91872793</span>
          91.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.91872793</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="8.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="91.9% Covered" class="barPositive " style="width: 91.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.cookie</span>
    	  <a href="org/apache/http/impl/cookie/testsrc-pkg-summary.html" title="org.apache.http.impl.cookie">org.apache.http.impl.cookie</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.8122271</span>
          1.81
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">168.0</span>
          168
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.93530995</span>
          93.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.93530995</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="6.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="93.5% Covered" class="barPositive " style="width: 93.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.cookie</span>
    	  <a href="org/apache/http/cookie/testsrc-pkg-summary.html" title="org.apache.http.cookie">org.apache.http.cookie</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.4</span>
          1.4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">6.0</span>
          6
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.952</span>
          95.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.952</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.2% Covered" class="barPositive " style="width: 95.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn.routing</span>
    	  <a href="org/apache/http/conn/routing/testsrc-pkg-summary.html" title="org.apache.http.conn.routing">org.apache.http.conn.routing</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.34375</span>
          2.34
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">34.0</span>
          34
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.95898676</span>
          95.9%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.95898676</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="4.1% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="95.9% Covered" class="barPositive " style="width: 95.9%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.client</span>
    	  <a href="org/apache/http/impl/client/testsrc-pkg-summary.html" title="org.apache.http.impl.client">org.apache.http.impl.client</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">28.0</span>
          28
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.244898</span>
          1.24
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">92.0</span>
          92
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.96068376</span>
          96.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.96068376</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.1% Covered" class="barPositive " style="width: 96.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.auth</span>
    	  <a href="org/apache/http/impl/auth/testsrc-pkg-summary.html" title="org.apache.http.impl.auth">org.apache.http.impl.auth</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.234375</span>
          1.23
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">21.0</span>
          21
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.96546054</span>
          96.5%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.96546054</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="3.5% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="96.5% Covered" class="barPositive " style="width: 96.5%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn.params</span>
    	  <a href="org/apache/http/conn/params/testsrc-pkg-summary.html" title="org.apache.http.conn.params">org.apache.http.conn.params</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.4</span>
          2.4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.98275864</span>
          98.3%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.98275864</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="1.7% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="98.3% Covered" class="barPositive " style="width: 98.3%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.client.protocol</span>
    	  <a href="org/apache/http/client/protocol/testsrc-pkg-summary.html" title="org.apache.http.client.protocol">org.apache.http.client.protocol</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">14.0</span>
          14
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.1073825</span>
          1.11
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">16.0</span>
          16
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9906323</span>
          99.1%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9906323</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.9% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.1% Covered" class="barPositive " style="width: 99.1%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.impl.conn.tsccm</span>
    	  <a href="org/apache/http/impl/conn/tsccm/testsrc-pkg-summary.html" title="org.apache.http.impl.conn.tsccm">org.apache.http.impl.conn.tsccm</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">4.0</span>
          4
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.2765957</span>
          1.28
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">3.0</span>
          3
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9918919</span>
          99.2%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9918919</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.8% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.2% Covered" class="barPositive " style="width: 99.2%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.client.utils</span>
    	  <a href="org/apache/http/client/utils/testsrc-pkg-summary.html" title="org.apache.http.client.utils">org.apache.http.client.utils</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">5.0</span>
          5
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0425532</span>
          1.04
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.9978858</span>
          99.8%
</td>
<td class="graphBar " align="center">
<span class="sortValue">0.9978858</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0.2% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="99.8% Covered" class="barPositive " style="width: 99.8%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.auth</span>
    	  <a href="org/apache/http/auth/testsrc-pkg-summary.html" title="org.apache.http.auth">org.apache.http.auth</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.client.entity</span>
    	  <a href="org/apache/http/client/entity/testsrc-pkg-summary.html" title="org.apache.http.client.entity">org.apache.http.client.entity</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.125</span>
          1.12
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.client.methods</span>
    	  <a href="org/apache/http/client/methods/testsrc-pkg-summary.html" title="org.apache.http.client.methods">org.apache.http.client.methods</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">2.0</span>
          2
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn.scheme</span>
    	  <a href="org/apache/http/conn/scheme/testsrc-pkg-summary.html" title="org.apache.http.conn.scheme">org.apache.http.conn.scheme</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
                  <tr>
    <td class="graphItem">
	        <span class="sortValue">org.apache.http.conn.util</span>
    	  <a href="org/apache/http/conn/util/testsrc-pkg-summary.html" title="org.apache.http.conn.util">org.apache.http.conn.util</a>
		    </td>

              
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0%
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          1
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">0.0</span>
          0
      </td>
      
          
      <td class="graphPercent  $style" align="right">
          <span class="sortValue">1.0</span>
          100%
</td>
<td class="graphBar " align="center">
<span class="sortValue">1.0</span>
<div>
    <div style="width: 200px; font-size:0px;"></div>
    <div title="0% Not Covered"  style="min-width: 200px;"  class="barNegative ">
       <div title="100% Covered" class="barPositive " style="width: 100%"></div>
    </div>
</div>
      </td>
      
      </tr>
   </tbody>
<tbody>
<tr><td class="hbreak" colspan="7">&nbsp;</td></tr>
<tr><td class="footer" colspan="7">
<table>
<tr>
 <td><a target="_new" href="http://www.atlassian.com/software/clover"><img alt="Clover" src="img/logo.gif" style="border:none"/></a></td><td style="white-space:nowrap;"><i>Report generated by </i>Clover <a target="_new" href="http://www.atlassian.com/software/clover">Code Coverage</a> v2.6.3<i><br/>Tue Jan 15 2013 11:13:08 CET</i>.</td>
<td>&nbsp;</td><td style="BORDER-LEFT: #9c9c9c 1px solid;">&nbsp;</td><td>Clover: Open Source License registered to Apache. </td>
</tr>
</table>
</td>
</tr></tbody></table>
</body>
</html>
